%define __python /usr/bin/python2.7
%global pybindir /usr/lib/python2.7/bin

Name:           pbh5tools
# version is from pbh5tools-master/src/python/pbtools/pbh5tools/_version.py
Version:        0.75.0
Release:        1%{?dist}
Summary:        A swiss-army knife for interrogating PacBio HDF5 files (cmp.h5, bas.h5)
Group:          Development/Languages
License:        Redistributable with license copy
URL:            https://github.com/PacificBiosciences/pbh5tools
Source:         %{name}-master.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python27-devel numpy27 python27-sphinx
BuildRequires:  python27-setuptools
BuildRequires:  python27-nose Cython27 python27-cram
BuildRequires:  environment-modules
# the following is for testing only
BuildRequires:	h5py27-221-188 hdf5-188-gcc pbcore
Requires:	numpy27 >= 1.6.0
Requires:	pbcore >= 0.6.4

%description
The pbcore package provides Python APIs for interacting with PacBio data
files and writing bioinformatics applications.

%prep
%setup -q -n %{name}-master

%build
. /etc/profile.d/modules.sh
module load python
%{__python} setup.py build
make -C doc html PYTHONPATH=$(pwd)

%install
. /etc/profile.d/modules.sh
module load python
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
touch %{buildroot}%{python_sitearch}/pbtools/__init__.py

%check
. /etc/profile.d/modules.sh
module load hdf5 python h5py27
PYTHONPATH=%{buildroot}%{python_sitearch}:$PYTHONPATH PATH=%{buildroot}%{_bindir}:$PATH make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSES.txt README.txt doc/_build/html
%{_bindir}/*py
%{python_sitearch}/*


%changelog
* Mon Jan 20 2013 Josko Plazonic <plazonic@math.princeton.edu> - 0.75.0-1
- initial build
